Name:           angie
Version:        1.1.0
Release:        3%{?dist}
Summary:        Efficient, powerful and scalable reverse proxy and web server

License:        BSD-2-Clause
URL:            https://angie.software
Source0:        https://download.angie.software/files/%{name}-%{version}.tar.gz
Source1:        angie.conf
Source2:        default.conf
Source3:        example.conf
Source4:        angie.logrotate
Source5:        angie.service
Source6:        angie.upgrade
Source7:        spnego-http-auth-nginx-module-v1.1.1.tar.gz
Source8:        ngx_brotli-v1.0.0rc.tar.gz
Source9:        nginx-dav-ext-module-v3.0.0.tar.gz
Source10:        ngx_http_geoip2_module-3.4.tar.gz
Source11:        headers-more-nginx-module-v0.34.tar.gz
Source19:        nginx-jwt-module-v3.2.0.tar.gz
Source12:        ngx_devel_kit-v0.3.2.tar.gz
Source13:        njs-0.7.12.tar.gz
Source14:       nginx-rtmp-module-v1.2.2.tar.gz
Source15:        set-misc-nginx-module-v0.33.tar.gz
Source16:       ngx_http_substitutions_filter_module-e12e965ac1837ca709709f9a26f572a54d83430e.tar.gz
Source17:       nginx-upload-module-2.3.0.tar.gz
Source18:       nginx-vod-module-1.31.tar.gz


BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  openssl-devel
BuildRequires:  pcre2-devel
BuildRequires:  zlib-devel

Requires:       systemd

%description
Actively developing fork of nginx aiming to keep it great
with brand new extra functionality.

%prep
rm -Rf %{_builddir}/*
%setup -q
tar -xpzf %{_sourcedir}/spnego-http-auth-nginx-module-v1.1.1.tar.gz -C %{_builddir}
tar -xpzf %{_sourcedir}/ngx_brotli-v1.0.0rc.tar.gz -C %{_builddir}
tar -xpzf %{_sourcedir}/nginx-dav-ext-module-v3.0.0.tar.gz -C %{_builddir}
tar -xpzf %{_sourcedir}/ngx_http_geoip2_module-3.4.tar.gz -C %{_builddir}
tar -xpzf %{_sourcedir}/headers-more-nginx-module-v0.34.tar.gz -C %{_builddir}
tar -xpzf %{_sourcedir}/nginx-jwt-module-v3.2.0.tar.gz -C %{_builddir}
tar -xpzf %{_sourcedir}/ngx_devel_kit-v0.3.2.tar.gz -C %{_builddir}
tar -xpzf %{_sourcedir}/njs-0.7.12.tar.gz -C %{_builddir}
tar -xpzf %{_sourcedir}/nginx-rtmp-module-v1.2.2.tar.gz -C %{_builddir}
tar -xpzf %{_sourcedir}/set-misc-nginx-module-v0.33.tar.gz -C %{_builddir}
tar -xpzf %{_sourcedir}/ngx_http_substitutions_filter_module-e12e965ac1837ca709709f9a26f572a54d83430e.tar.gz -C %{_builddir}
tar -xpzf %{_sourcedir}/nginx-upload-module-2.3.0.tar.gz -C %{_builddir}
tar -xpzf %{_sourcedir}/nginx-vod-module-1.31.tar.gz -C %{_builddir}

cp -Rp %{_builddir}/angie-%{version} %{_builddir}/angie-%{version}-debug

%build
CCOPT="$RPM_OPT_FLAGS"
CCOPT="$CCOPT -I /usr/include/ffmpeg"
CONFIGURE_OPTS="--prefix=/etc/angie \
                --conf-path=/etc/angie/angie.conf \
                --error-log-path=/var/log/angie/error.log \
                --http-log-path=/var/log/angie/access.log \
                --lock-path=/run/angie.lock \
                --modules-path=/usr/lib/angie/modules \
                --pid-path=/run/angie.pid \
                --sbin-path=/usr/sbin/angie \
                --http-client-body-temp-path=/var/cache/angie/client_temp \
                --http-fastcgi-temp-path=/var/cache/angie/fastcgi_temp \
                --http-proxy-temp-path=/var/cache/angie/proxy_temp \
                --http-scgi-temp-path=/var/cache/angie/scgi_temp \
                --http-uwsgi-temp-path=/var/cache/angie/uwsgi_temp \
                --user=angie \
                --group=angie \
                --with-file-aio \
                --with-http_addition_module \
                --with-http_auth_request_module \
                --with-http_dav_module \
                --with-http_flv_module \
                --with-http_gunzip_module \
                --with-http_gzip_static_module \
                --with-http_mp4_module \
                --with-http_random_index_module \
                --with-http_realip_module \
                --with-http_secure_link_module \
                --with-http_slice_module \
                --with-http_ssl_module \
                --with-http_stub_status_module \
                --with-http_sub_module \
                --with-http_v2_module \
                --with-mail \
                --with-mail_ssl_module \
                --with-stream \
                --with-stream_realip_module \
                --with-stream_ssl_module \
                --with-stream_ssl_preread_module \
                --with-threads \
                --with-http_image_filter_module=dynamic \
                --with-http_perl_module=dynamic \
                --with-http_xslt_module=dynamic \
                --add-dynamic-module=../spnego-http-auth-nginx-module-1.1.1 \
                --add-dynamic-module=../ngx_brotli-1.0.0rc \
                --add-dynamic-module=../nginx-dav-ext-module-3.0.0 \
                --add-dynamic-module=../ngx_http_geoip2_module-3.4 \
                --add-dynamic-module=../headers-more-nginx-module-0.34 \
                --add-dynamic-module=../nginx-jwt-module-3.2.0 \
                --add-dynamic-module=../ngx_devel_kit-0.3.2 \
                --add-dynamic-module=../njs-0.7.12/nginx \
                --add-dynamic-module=../nginx-rtmp-module-1.2.2 \
                --add-dynamic-module=../set-misc-nginx-module-0.33 \
                --add-dynamic-module=../ngx_http_substitutions_filter_module-e12e965ac1837ca709709f9a26f572a54d83430e \
                --add-dynamic-module=../nginx-upload-module-2.3.0 \
                --add-dynamic-module=../nginx-vod-module-1.31 \
                --with-cc-opt=\"$CCOPT\" \
                --with-ld-opt=\"$RPM_LD_FLAGS\" \
"

# ordinary
cd %{_builddir}/angie-%{version}
eval env CFLAGS= ./configure $CONFIGURE_OPTS
make %{?_smp_mflags}

# debug
cd %{_builddir}/angie-%{version}-debug
eval env CFLAGS= ./configure $CONFIGURE_OPTS --with-debug
make %{?_smp_mflags}

# njs
cd %{_builddir}/njs-0.7.12
make %{?_smp_mflags} clean
env CFLAGS= ./configure --cc-opt="$RPM_OPT_FLAGS" --ld-opt="$RPM_LD_FLAGS"
make %{?_smp_mflags}

%install
rm -Rf %{buildroot}
mkdir -p %{buildroot}

# perl
make %{?_smp_mflags} DESTDIR=%{buildroot}/perl INSTALLDIRS=vendor -f objs/Makefile install_perl_modules
find %{buildroot}/perl -not -name 'nginx.*' -type f -delete
find %{buildroot} -name nginx.bs -type f -delete
find %{buildroot}/perl -depth -type d -empty -delete
mv %{buildroot}/perl/* %{buildroot}
rmdir %{buildroot}/perl

# auth-spnego
install -Dm 0755 %{_builddir}/angie-%{version}/objs/ngx_http_auth_spnego_module.so \
    %{buildroot}%{_libdir}/angie/modules/ngx_http_auth_spnego_module.so
install -Dm 0755 %{_builddir}/angie-%{version}-debug/objs/ngx_http_auth_spnego_module.so \
    %{buildroot}%{_libdir}/angie/modules/ngx_http_auth_spnego_module-debug.so

# brotli
install -Dm 0755 %{_builddir}/angie-%{version}/objs/ngx_http_brotli_filter_module.so \
    %{buildroot}%{_libdir}/angie/modules/ngx_http_brotli_filter_module.so
install -Dm 0755 %{_builddir}/angie-%{version}-debug/objs/ngx_http_brotli_filter_module.so \
    %{buildroot}%{_libdir}/angie/modules/ngx_http_brotli_filter_module-debug.so

install -Dm 0755 %{_builddir}/angie-%{version}/objs/ngx_http_brotli_static_module.so \
    %{buildroot}%{_libdir}/angie/modules/ngx_http_brotli_static_module.so
install -Dm 0755 %{_builddir}/angie-%{version}-debug/objs/ngx_http_brotli_static_module.so \
    %{buildroot}%{_libdir}/angie/modules/ngx_http_brotli_static_module-debug.so

# dav-ext
install -Dm 0755 %{_builddir}/angie-%{version}/objs/ngx_http_dav_ext_module.so \
    %{buildroot}%{_libdir}/angie/modules/ngx_http_dav_ext_module.so
install -Dm 0755 %{_builddir}/angie-%{version}-debug/objs/ngx_http_dav_ext_module.so \
    %{buildroot}%{_libdir}/angie/modules/ngx_http_dav_ext_module-debug.so

# geoip2
install -Dm 0755 %{_builddir}/angie-%{version}/objs/ngx_http_geoip2_module.so \
    %{buildroot}%{_libdir}/angie/modules/ngx_http_geoip2_module.so
install -Dm 0755 %{_builddir}/angie-%{version}-debug/objs/ngx_http_geoip2_module.so \
    %{buildroot}%{_libdir}/angie/modules/ngx_http_geoip2_module-debug.so

install -Dm 0755 %{_builddir}/angie-%{version}/objs/ngx_stream_geoip2_module.so \
    %{buildroot}%{_libdir}/angie/modules/ngx_stream_geoip2_module.so
install -Dm 0755 %{_builddir}/angie-%{version}-debug/objs/ngx_stream_geoip2_module.so \
    %{buildroot}%{_libdir}/angie/modules/ngx_stream_geoip2_module-debug.so

# headers-more
install -Dm 0755 %{_builddir}/angie-%{version}/objs/ngx_http_headers_more_filter_module.so \
    %{buildroot}%{_libdir}/angie/modules/ngx_http_headers_more_filter_module.so
install -Dm 0755 %{_builddir}/angie-%{version}-debug/objs/ngx_http_headers_more_filter_module.so \
    %{buildroot}%{_libdir}/angie/modules/ngx_http_headers_more_filter_module-debug.so

# image-filter
install -Dm 0755 %{_builddir}/angie-%{version}/objs/ngx_http_image_filter_module.so \
    %{buildroot}%{_libdir}/angie/modules/ngx_http_image_filter_module.so
install -Dm 0755 %{_builddir}/angie-%{version}-debug/objs/ngx_http_image_filter_module.so \
    %{buildroot}%{_libdir}/angie/modules/ngx_http_image_filter_module-debug.so

# jwt
install -Dm 0755 %{_builddir}/angie-%{version}/objs/ngx_http_auth_jwt_module.so \
    %{buildroot}%{_libdir}/angie/modules/ngx_http_auth_jwt_module.so
install -Dm 0755 %{_builddir}/angie-%{version}-debug/objs/ngx_http_auth_jwt_module.so \
    %{buildroot}%{_libdir}/angie/modules/ngx_http_auth_jwt_module-debug.so

# ndk
install -Dm 0755 %{_builddir}/angie-%{version}/objs/ndk_http_module.so \
    %{buildroot}%{_libdir}/angie/modules/ndk_http_module.so
install -Dm 0755 %{_builddir}/angie-%{version}-debug/objs/ndk_http_module.so \
    %{buildroot}%{_libdir}/angie/modules/ndk_http_module-debug.so

# njs
install -Dm 0755 %{_builddir}/angie-%{version}/objs/ngx_http_js_module.so \
    %{buildroot}%{_libdir}/angie/modules/ngx_http_js_module.so
install -Dm 0755 %{_builddir}/angie-%{version}-debug/objs/ngx_http_js_module.so \
    %{buildroot}%{_libdir}/angie/modules/ngx_http_js_module-debug.so

install -Dm 0755 %{_builddir}/angie-%{version}/objs/ngx_stream_js_module.so \
    %{buildroot}%{_libdir}/angie/modules/ngx_stream_js_module.so
install -Dm 0755 %{_builddir}/angie-%{version}-debug/objs/ngx_stream_js_module.so \
    %{buildroot}%{_libdir}/angie/modules/ngx_stream_js_module-debug.so

install -Dm 0755 %{_builddir}/njs-0.7.12/build/njs \
    %{buildroot}%{_bindir}/njs

# perl
install -Dm 0755 %{_builddir}/angie-%{version}/objs/ngx_http_perl_module.so \
    %{buildroot}%{_libdir}/angie/modules/ngx_http_perl_module.so
install -Dm 0755 %{_builddir}/angie-%{version}-debug/objs/ngx_http_perl_module.so \
    %{buildroot}%{_libdir}/angie/modules/ngx_http_perl_module-debug.so

# rtmp
install -Dm 0755 %{_builddir}/angie-%{version}/objs/ngx_rtmp_module.so \
    %{buildroot}%{_libdir}/angie/modules/ngx_rtmp_module.so
install -Dm 0755 %{_builddir}/angie-%{version}-debug/objs/ngx_rtmp_module.so \
    %{buildroot}%{_libdir}/angie/modules/ngx_rtmp_module-debug.so

# set-misc
install -Dm 0755 %{_builddir}/angie-%{version}/objs/ngx_http_set_misc_module.so \
    %{buildroot}%{_libdir}/angie/modules/ngx_http_set_misc_module.so
install -Dm 0755 %{_builddir}/angie-%{version}-debug/objs/ngx_http_set_misc_module.so \
    %{buildroot}%{_libdir}/angie/modules/ngx_http_set_misc_module-debug.so

# subs
install -Dm 0755 %{_builddir}/angie-%{version}/objs/ngx_http_subs_filter_module.so \
    %{buildroot}%{_libdir}/angie/modules/ngx_http_subs_filter_module.so
install -Dm 0755 %{_builddir}/angie-%{version}-debug/objs/ngx_http_subs_filter_module.so \
    %{buildroot}%{_libdir}/angie/modules/ngx_http_subs_filter_module-debug.so

# upload
install -Dm 0755 %{_builddir}/angie-%{version}/objs/ngx_http_upload_module.so \
    %{buildroot}%{_libdir}/angie/modules/ngx_http_upload_module.so
install -Dm 0755 %{_builddir}/angie-%{version}-debug/objs/ngx_http_upload_module.so \
    %{buildroot}%{_libdir}/angie/modules/ngx_http_upload_module-debug.so

# vod
install -Dm 0755 %{_builddir}/angie-%{version}/objs/ngx_http_vod_module.so \
    %{buildroot}%{_libdir}/angie/modules/ngx_http_vod_module.so
install -Dm 0755 %{_builddir}/angie-%{version}-debug/objs/ngx_http_vod_module.so \
    %{buildroot}%{_libdir}/angie/modules/ngx_http_vod_module-debug.so

# xslt
install -Dm 0755 %{_builddir}/angie-%{version}/objs/ngx_http_xslt_filter_module.so \
    %{buildroot}%{_libdir}/angie/modules/ngx_http_xslt_filter_module.so
install -Dm 0755 %{_builddir}/angie-%{version}-debug/objs/ngx_http_xslt_filter_module.so \
    %{buildroot}%{_libdir}/angie/modules/ngx_http_xslt_filter_module-debug.so

# angie
install -Dm 0755 %{_builddir}/angie-%{version}/objs/angie \
    %{buildroot}%{_sbindir}/angie-nodebug
install -Dm 0755 %{_builddir}/angie-%{version}-debug/objs/angie \
    %{buildroot}%{_sbindir}/angie-debug

ln -fs angie-nodebug %{buildroot}%{_sbindir}/angie

install -Dm 0644 %{_sourcedir}/angie.conf      %{buildroot}%{_sysconfdir}/angie/angie.conf
install -Dm 0644 %{_sourcedir}/angie.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/angie
install -Dm 0644 %{_sourcedir}/angie.service   %{buildroot}%{_unitdir}/angie.service
install -Dm 0644 %{_sourcedir}/default.conf    %{buildroot}%{_sysconfdir}/angie/http.d/default.conf
install -Dm 0644 %{_sourcedir}/example.conf    %{buildroot}%{_sysconfdir}/angie/stream.d/example.conf
install -Dm 0755 %{_sourcedir}/angie.upgrade   %{buildroot}%{_libexecdir}/initscripts/legacy-actions/angie/upgrade

install -dm 0755 %{buildroot}%{_datadir}/angie
mv %{_builddir}/angie-%{version}/html %{buildroot}%{_datadir}/angie

install -Dm 0644 %{_builddir}/angie-%{version}/conf/fastcgi.conf \
    -t %{buildroot}%{_sysconfdir}/angie
install -Dm 0644 %{_builddir}/angie-%{version}/conf/fastcgi_params \
    -t %{buildroot}%{_sysconfdir}/angie
install -Dm 0644 %{_builddir}/angie-%{version}/conf/mime.types \
    -t %{buildroot}%{_sysconfdir}/angie
install -Dm 0644 %{_builddir}/angie-%{version}/conf/scgi_params \
    -t %{buildroot}%{_sysconfdir}/angie
install -Dm 0644 %{_builddir}/angie-%{version}/conf/uwsgi_params \
    -t %{buildroot}%{_sysconfdir}/angie

install -Dm 0644 %{_builddir}/angie-%{version}/objs/angie.8 \
    %{buildroot}%{_mandir}/man8/angie.8

install -dm 0755 \
    %{buildroot}%{_localstatedir}/cache/angie \
    %{buildroot}%{_localstatedir}/log/angie \
    %{buildroot}%{_localstatedir}/run/angie \
    %{buildroot}%{_libdir}/angie/modules

ln -fs %{_libdir}/angie/modules %{buildroot}%{_sysconfdir}/angie/modules

%clean
rm -Rf %{buildroot}

%files
%{_sbindir}/angie
%{_sbindir}/angie-debug
%{_sbindir}/angie-nodebug

%dir %{_sysconfdir}/angie
%dir %{_sysconfdir}/angie/http.d
%dir %{_sysconfdir}/angie/stream.d

%config(noreplace) %{_sysconfdir}/angie/angie.conf
%config(noreplace) %{_sysconfdir}/angie/http.d/default.conf
%config(noreplace) %{_sysconfdir}/angie/stream.d/example.conf
%config(noreplace) %{_sysconfdir}/angie/fastcgi.conf
%config(noreplace) %{_sysconfdir}/angie/fastcgi_params
%config(noreplace) %{_sysconfdir}/angie/mime.types
%config(noreplace) %{_sysconfdir}/angie/scgi_params
%config(noreplace) %{_sysconfdir}/angie/uwsgi_params
%config(noreplace) %{_sysconfdir}/logrotate.d/angie

%{_sysconfdir}/angie/modules

%dir %{_datadir}/angie
%{_datadir}/angie/html

%doc CHANGES CHANGES.ru
%license LICENSE

%dir %{_libdir}/angie
%dir %{_libdir}/angie/modules

%dir %{_libexecdir}/initscripts/legacy-actions/angie
%{_libexecdir}/initscripts/legacy-actions/angie/upgrade

%{_mandir}/man8/angie.8*

%{_unitdir}/angie.service

%attr(0755,root,root) %dir %{_localstatedir}/cache/angie
%attr(0755,root,root) %dir %{_localstatedir}/log/angie

%pre
# Add the "angie" user
getent group angie >/dev/null || groupadd -r angie
getent passwd angie >/dev/null || \
    useradd -r -g angie -s /sbin/nologin \
    -d %{_localstatedir}/cache/angie -c "angie user"  angie
exit 0

%post
# Register the angie service
if [ $1 -eq 1 ]; then
    /usr/bin/systemctl preset angie.service >/dev/null 2>&1 ||:
    # print site info
    cat <<BANNER
----------------------------------------------------------------------

Thanks for using Angie!

Please find the official documentation for Angie here:
* https://angie.software/en/

----------------------------------------------------------------------
BANNER

    # Touch and set permisions on default log files on installation

    if [ -d %{_localstatedir}/log/angie ]; then
        if [ ! -e %{_localstatedir}/log/angie/access.log ]; then
            touch %{_localstatedir}/log/angie/access.log
            %{__chmod} 640 %{_localstatedir}/log/angie/access.log
            %{__chown} angie:angie %{_localstatedir}/log/angie/access.log
        fi

        if [ ! -e %{_localstatedir}/log/angie/error.log ]; then
            touch %{_localstatedir}/log/angie/error.log
            %{__chmod} 640 %{_localstatedir}/log/angie/error.log
            %{__chown} angie:angie %{_localstatedir}/log/angie/error.log
        fi
    fi
fi

%preun
if [ $1 -eq 0 ]; then
    /usr/bin/systemctl --no-reload disable angie.service >/dev/null 2>&1 ||:
    /usr/bin/systemctl stop angie.service >/dev/null 2>&1 ||:
fi

%postun
/usr/bin/systemctl daemon-reload >/dev/null 2>&1 ||:
if [ $1 -ge 1 ]; then
    /sbin/service angie status  >/dev/null 2>&1 || exit 0
    /sbin/service angie upgrade >/dev/null 2>&1 || echo \
        "Binary upgrade failed, please check angie's error.log"
fi

%package module-auth-spnego
Summary:           Angie auth-spnego dynamic module
BuildRequires:     krb5-devel
Requires:          angie = %{version}-%{release}

%description module-auth-spnego
Module adds SPNEGO support to Angie.

%files module-auth-spnego
%{_libdir}/angie/modules/ngx_http_auth_spnego_module.so
%{_libdir}/angie/modules/ngx_http_auth_spnego_module-debug.so

%doc ../spnego-http-auth-nginx-module-1.1.1/README.md

%license ../spnego-http-auth-nginx-module-1.1.1/LICENSE

%post module-auth-spnego
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The auth-spnego dynamic module for Angie has been installed.
To enable this module, add the following to /etc/angie/angie.conf
and reload angie:

    load_module modules/ngx_http_auth_spnego_module.so;

Please refer to the modules documentation for further details:
https://github.com/stnoonan/spnego-http-auth-nginx-module

----------------------------------------------------------------------
BANNER
fi

%package module-brotli
Summary:           Angie Brotli dynamic module
BuildRequires:     brotli-devel
Requires:          angie = %{version}-%{release}

%description module-brotli
Module adds Brotli compression support to Angie.
Brotli is a generic-purpose lossless compression algorithm that compresses
data using a combination of a modern variant of the LZ77 algorithm, Huffman
coding and 2nd order context modeling, with a compression ratio comparable
to the best currently available general-purpose compression methods.
It is similar in speed with deflate but offers more dense compression.

%files module-brotli
%{_libdir}/angie/modules/ngx_http_brotli_filter_module.so
%{_libdir}/angie/modules/ngx_http_brotli_filter_module-debug.so
%{_libdir}/angie/modules/ngx_http_brotli_static_module.so
%{_libdir}/angie/modules/ngx_http_brotli_static_module-debug.so

%doc ../ngx_brotli-1.0.0rc/CONTRIBUTING.md
%doc ../ngx_brotli-1.0.0rc/README.md

%license ../ngx_brotli-1.0.0rc/LICENSE

%post module-brotli
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The Brotli dynamic module for Angie has been installed.
To enable this module, add the following to /etc/angie/angie.conf
and reload angie:

    load_module modules/ngx_http_brotli_filter_module.so;
or:
    load_module modules/ngx_http_brotli_static_module.so;

Please refer to the modules documentation for further details:
https://github.com/arut/nginx-dav-ext-module

----------------------------------------------------------------------
BANNER
fi

%package module-dav-ext
Summary:           Angie dav-ext dynamic module
Requires:          angie = %{version}-%{release}

%description module-dav-ext
Module extends built-in DAV module with PROPFIND, OPTIONS, LOCK, UNLOCK support.

%files module-dav-ext
%{_libdir}/angie/modules/ngx_http_dav_ext_module.so
%{_libdir}/angie/modules/ngx_http_dav_ext_module-debug.so

%doc ../nginx-dav-ext-module-3.0.0/README.rst

%license ../nginx-dav-ext-module-3.0.0/LICENSE

%post module-dav-ext
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The dav-ext dynamic module for Angie has been installed.
To enable this module, add the following to /etc/angie/angie.conf
and reload angie:

    load_module modules/ngx_http_dav_ext_module.so;

Please refer to the modules documentation for further details:
https://github.com/arut/nginx-dav-ext-module

----------------------------------------------------------------------
BANNER
fi

%package module-geoip2
Summary:           Angie GeoIP2 dynamic module
BuildRequires:     libmaxminddb-devel
Requires:          angie = %{version}-%{release}

%description module-geoip2
Module captures information from the client IP address in variables,
using the MaxMind GeoIP2 databases.

%files module-geoip2
%{_libdir}/angie/modules/ngx_http_geoip2_module.so
%{_libdir}/angie/modules/ngx_http_geoip2_module-debug.so
%{_libdir}/angie/modules/ngx_stream_geoip2_module.so
%{_libdir}/angie/modules/ngx_stream_geoip2_module-debug.so

%doc ../ngx_http_geoip2_module-3.4/README.md

%license ../ngx_http_geoip2_module-3.4/LICENSE

%post module-geoip2
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The GeoIP2 dynamic modules for Angie have been installed.
To enable these modules, add the following to /etc/angie/angie.conf
and reload angie:

    load_module modules/ngx_http_geoip2_module.so;
    load_module modules/ngx_stream_geoip2_module.so;

Please refer to the modules documentation for further details:
https://github.com/leev/ngx_http_geoip2_module

----------------------------------------------------------------------
BANNER
fi

%package module-headers-more
Summary:           Angie headers-more dynamic module
Requires:          angie = %{version}-%{release}

%description module-headers-more
Module allows to set and clear input and output headers for Angie.

%files module-headers-more
%{_libdir}/angie/modules/ngx_http_headers_more_filter_module.so
%{_libdir}/angie/modules/ngx_http_headers_more_filter_module-debug.so

%doc ../headers-more-nginx-module-0.34/README.markdown

%license ../headers-more-nginx-module-0.34/README.markdown

%post module-headers-more
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The headers-more dynamic module for Angie has been installed.
To enable this module, add the following to /etc/angie/angie.conf
and reload angie:

    load_module modules/ngx_http_headers_more_filter_module.so;

Please refer to the modules documentation for further details:
https://github.com/openresty/headers-more-nginx-module/

----------------------------------------------------------------------
BANNER
fi

%package module-image-filter
Summary:           Angie image-filter dynamic module
BuildRequires:     gd-devel
Requires:          angie = %{version}-%{release}

%description module-image-filter
Module is a filter that transforms images in JPEG, GIF, PNG, and WebP formats.

%files module-image-filter
%{_libdir}/angie/modules/ngx_http_image_filter_module.so
%{_libdir}/angie/modules/ngx_http_image_filter_module-debug.so
%license LICENSE

%post module-image-filter
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The image-filter dynamic module for Angie has been installed.
To enable this module, add the following to /etc/angie/angie.conf
and reload angie:

    load_module modules/ngx_http_image_filter_module.so;

Please refer to the modules documentation for further details:
https://angie.software/http_image_filter/

----------------------------------------------------------------------
BANNER
fi

%package module-jwt
Summary:           Angie JWT dynamic module
BuildRequires:     jansson-devel,libjwt-devel
Requires:          angie = %{version}-%{release}

%description module-jwt
Module provides JWT validity check funcionality for Angie.

%files module-jwt
%{_libdir}/angie/modules/ngx_http_auth_jwt_module.so
%{_libdir}/angie/modules/ngx_http_auth_jwt_module-debug.so

%doc ../nginx-jwt-module-3.2.0/README.md

%license ../nginx-jwt-module-3.2.0/LICENSE

%post module-jwt
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The jwt dynamic module for Angie has been installed.
To enable this module, add the following to /etc/angie/angie.conf
and reload angie:

    load_module modules/ngx_http_auth_jwt_module.so;

Please refer to the module documentation for further details:
https://github.com/max-lt/nginx-jwt-module

----------------------------------------------------------------------
BANNER
fi

%package module-ndk
Summary:           Angie NDK dynamic module
Requires:          angie = %{version}-%{release}

%description module-ndk
Module is designed to extend the Angie core functionality.

%files module-ndk
%{_libdir}/angie/modules/ndk_http_module.so
%{_libdir}/angie/modules/ndk_http_module-debug.so

%doc ../ngx_devel_kit-0.3.2/README.md

%license ../ngx_devel_kit-0.3.2/LICENSE

%post module-ndk
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The ndk dynamic module for Angie has been installed.
To enable this module, add the following to /etc/angie/angie.conf 
and reload angie:

    load_module modules/ndk_http_module;

Please refer to the modules documentation for further details:
https://github.com/vision5/ngx_devel_kit

----------------------------------------------------------------------
BANNER
fi

%package module-njs
Summary:           Angie NJS dynamic module
Requires:          angie = %{version}-%{release}

%description module-njs
Module is a subset of the JavaScript language that allows extending
Angie functionality.

%files module-njs
%{_libdir}/angie/modules/ngx_http_js_module.so
%{_libdir}/angie/modules/ngx_http_js_module-debug.so
%{_libdir}/angie/modules/ngx_stream_js_module.so
%{_libdir}/angie/modules/ngx_stream_js_module-debug.so

%doc ../njs-0.7.12/CHANGES
%doc ../njs-0.7.12/README

%license ../njs-0.7.12/LICENSE

%post module-njs
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The njs dynamic modules for Angie have been installed.
To enable these modules, add the following to /etc/angie/angie.conf
and reload angie:

    load_module modules/ngx_http_js_module.so;
    load_module modules/ngx_stream_js_module.so;

Please refer to the njs documentation for further details:
https://angie.software/js_reference/
https://angie.software/http_js/
https://angie.software/stream_js/

----------------------------------------------------------------------
BANNER
fi

%package module-njs-cli
Summary:           Angie NJS CLI
BuildRequires:     libedit-devel

%description module-njs-cli
Command-line interface for Angie NJS.

%files module-njs-cli
%{_bindir}/njs

%doc ../njs-0.7.12/CHANGES
%doc ../njs-0.7.12/README

%license ../njs-0.7.12/LICENSE

%post module-njs-cli
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The njs CLI for Angie has been installed.

Please refer to the njs documentation for further details:
https://angie.software/js_reference/

----------------------------------------------------------------------
BANNER
fi

%package module-perl
Summary:           Angie Perl dynamic module
BuildRequires:     perl-devel
Requires:          angie = %{version}-%{release}

%description module-perl
Module is used to implement location and variable handlers in Perl and insert
Perl calls into SSI.

%files module-perl
%{_libdir}/angie/modules/ngx_http_perl_module.so
%{_libdir}/angie/modules/ngx_http_perl_module-debug.so
%dir %{perl_vendorarch}/auto/nginx
%{perl_vendorarch}/auto/nginx/nginx.so
%{perl_vendorarch}/nginx.pm
%{_mandir}/man3/nginx.3pm.gz
%license LICENSE

%post module-perl
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The Perl dynamic module for Angie has been installed.
To enable this module, add the following to /etc/angie/angie.conf
and reload angie:

    load_module modules/ngx_http_perl_module.so;

Please refer to the modules documentation for further details:
https://angie.software/http_perl/

----------------------------------------------------------------------
BANNER
fi

%package module-rtmp
Summary:           Angie RTMP dynamic module
Requires:          angie = %{version}-%{release}

%description module-rtmp
Module provides HLS and MPEG-DASH live streaming capabilities.

%files module-rtmp
%{_libdir}/angie/modules/ngx_rtmp_module.so
%{_libdir}/angie/modules/ngx_rtmp_module-debug.so

%doc ../nginx-rtmp-module-1.2.2/README.md

%license ../nginx-rtmp-module-1.2.2/LICENSE

%post module-rtmp
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The RTMP dynamic module for Angie has been installed.
To enable this module, add the following to /etc/angie/angie.conf
and reload angie:

    load_module modules/ngx_rtmp_module.so;

Please refer to the module documentation for further details:
https://github.com/arut/nginx-rtmp-module

----------------------------------------------------------------------
BANNER
fi

%package module-set-misc
Summary:           Angie set-misc dynamic module
Requires:          angie = %{version}-%{release}
Requires:          angie-module-ndk = %{version}-%{release}

%description module-set-misc
Module implements numerous additional set_* directives extending
Angie core rewrite module.

%files module-set-misc
%{_libdir}/angie/modules/ngx_http_set_misc_module.so
%{_libdir}/angie/modules/ngx_http_set_misc_module-debug.so

%doc ../set-misc-nginx-module-0.33/README.markdown

%license ../set-misc-nginx-module-0.33/README.markdown

%post module-set-misc
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The set-misc dynamic module for Angie has been installed.
To enable this module, add the following to /etc/angie/angie.conf
and reload angie:

    load_module modules/ndk_http_module.so;
    load_module modules/ngx_http_set_misc_module.so;

Please refer to the modules documentation for further details:
https://github.com/openresty/set-misc-nginx-module

----------------------------------------------------------------------
BANNER
fi

%package module-subs
Summary:           Angie substitutions dynamic module
Requires:          angie = %{version}-%{release}

%description module-subs
Module performs both regular expression and fixed string
substitutions on response bodies.

%files module-subs
%{_libdir}/angie/modules/ngx_http_subs_filter_module.so
%{_libdir}/angie/modules/ngx_http_subs_filter_module-debug.so

%doc ../ngx_http_substitutions_filter_module-e12e965ac1837ca709709f9a26f572a54d83430e/README

%license ../ngx_http_substitutions_filter_module-e12e965ac1837ca709709f9a26f572a54d83430e/README

%post module-subs
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The substitutions dynamic module for Angie has been installed.
To enable this module, add the following to /etc/angie/angie.conf
and reload angie:

    load_module modules/ngx_http_subs_filter_module.so;

Please refer to the module documentation for further details:
https://github.com/yaoweibin/ngx_http_substitutions_filter_module

----------------------------------------------------------------------
BANNER
fi

%package module-xslt
Summary:           Angie upload dynamic module
BuildRequires:     libxslt-devel
Requires:          angie = %{version}-%{release}

%description module-xslt
Module parses request body storing all files being uploaded to a directory.

%files module-xslt
%{_libdir}/angie/modules/ngx_http_xslt_filter_module.so
%{_libdir}/angie/modules/ngx_http_xslt_filter_module-debug.so
%license LICENSE

%post module-xslt
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The XSLT dynamic module for Angie has been installed.
To enable this module, add the following to /etc/angie/angie.conf
and reload angie:

    load_module modules/ngx_http_xslt_filter_module.so;

Please refer to the modules documentation for further details:
https://angie.software/http_xslt/

----------------------------------------------------------------------
BANNER
fi

%package module-upload
Summary:           Angie upload dynamic module
Requires:          angie = %{version}-%{release}

%description module-upload
Module parses request body storing all files being uploaded to a directory.

%files module-upload
%{_libdir}/angie/modules/ngx_http_upload_module.so
%{_libdir}/angie/modules/ngx_http_upload_module-debug.so

%doc ../nginx-upload-module-2.3.0/README.md

%license ../nginx-upload-module-2.3.0/LICENCE

%post module-upload
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The upload dynamic module for Angie has been installed.
To enable this module, add the following to /etc/angie/angie.conf
and reload angie:

    load_module modules/ngx_http_upload_module.so;

Please refer to the module documentation for further details:
https://github.com/fdintino/nginx-upload-module

----------------------------------------------------------------------
BANNER
fi

%package module-vod
Summary:           VOD dynamic module for Angie
BuildRequires:     ffmpeg-devel
Requires:          angie = %{version}-%{release}

%description module-vod
Module allows to on-the-fly repackaging of MP4 files to DASH, HDS, HLS, MSS.

%files module-vod
%{_libdir}/angie/modules/ngx_http_vod_module.so
%{_libdir}/angie/modules/ngx_http_vod_module-debug.so

%doc ../nginx-vod-module-1.31/README.md

%license ../nginx-vod-module-1.31/LICENSE

%post module-vod
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The VOD dynamic module for Angie has been installed.
To enable this module, add the following to /etc/angie/angie.conf
and reload angie:

    load_module modules/ngx_http_vod_module.so;

Please refer to the module documentation for further details:
https://github.com/kaltura/nginx-vod-module

----------------------------------------------------------------------
BANNER
fi
%changelog
* Wed May 10 2023 Release Engineering Team <devops@tech.wbsrv.ru> - angie-1.1.0-3
- Added angie-module-jwt
- Added angie-module-subs
- Added angie-module-upload
- Added angie-module-vod
- Updated angie-module-njs to 0.7.12
- Updated angie-module-njs-cli to 0.7.12

* Fri Mar 10 2023 Release Engineering Team <devops@tech.wbsrv.ru> - angie-1.1.0-2
- Added angie-module-auth-spnego
- Added angie-module-brotli
- Added angie-module-dav-ext
- Added angie-module-headers-more
- Added angie-module-ndk
- Added angie-module-rtmp
- Added angie-module-set-misc
- Updated angie-module-njs to 0.7.11
- Separate angie-module-njs-cli package

* Wed Jan 25 2023 Release Engineering Team <devops@tech.wbsrv.ru> - angie-1.1.0-1
- Release 1.1.0

* Fri Jan 13 2023 Release Engineering Team <devops@tech.wbsrv.ru> - angie-1.0.0-1
- new version 1.0.0
